
SCM Creator (+Github) - Bug #2326

redmine_scm is incompatible with redmine_git_hosting now?

18 Aug 2014 02:38 - jonathan ferguson

Status: Open Start date: 18 Aug 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.5.1   

Redmine version: 2.5.2 External issue:  

Description

hi.

For the past two years, we ran redmine_scm and redmine_git_hosting alongside each other under ChiliProject. We are now migrated

to Redmine 2.5.2. The desire to use both comes from the need to use gitolite to manage the git repositories (we have several

hundred). Unfortunately, the current releases of Redmine, redmine_git_hosting and redmine_scm are not friends, and cause Internal

Server Error (500) when one clicks on “New repository” ie:  https://some.host.edu/projects/user5-windlevane/repositories/new

Following the previous configuration no longer applies: 

http://aeturnalus.com/software/hacking-scm-creator-redmine-git-hosting-cooperate/ as these two plugins have changed dramatically.

Current environment:

Environment:

  Redmine version                2.5.2.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Mercurial                      2.2.2

  Cvs                            1.12.13

  Bazaar                         2.6.0

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  redmine_backlogs               v1.0.6

  redmine_bootstrap_kit          0.1

  redmine_checkout               0.6-BETA

  redmine_git_hosting            0.7.7

  redmine_scm                    0.5.0b

  redmine_timesheet_plugin       0.7.0

 

https://github.com/jbox-web/redmine_git_hosting.git

http://svn.s-andy.com/scm-creator

The installation appears to work, and the rake tasks complete successfully. However, repository creation fails when using BOTH

plugins simultaneously. Turn one or the other off and the creation process works just fine. Logs of the relevant action and error:

==> apache2/ssl_access.log <==

123.123.123.123 - - [17/Aug/2014:18:25:37 -0400] "GET /rb/server_variables.js HTTP/1.1" 304 1618 "

https://some.host.edu/projects/user5-windlevane/settings" "Mozilla/5.0 (X11; Linux x86_64) AppleWe

bKit/537.36 (KHTML, like Gecko) Chrome/35.0.1916.153 Safari/537.36" 

==> /opt/redmine/redmine/log/production.log <==

Started GET "/projects/user5-windlevane/repositories/new" for 123.123.123.123 at 2014-08-17 18:25:

40 -0400
Processing by RepositoriesController#new as HTML

  Parameters: {"project_id"=>"user5-windlevane"}

  Current user: user5 (id=5)

==> /var/log/auth.log <==

Aug 17 18:25:41 some.host.edu svn: DIGEST-MD5 common mech free

==> /opt/redmine/redmine/log/production.log <==

  Rendered plugins/redmine_scm/app/views/repositories/_form.html.erb (105.8ms)

  Rendered repositories/new.html.erb within layouts/base (109.2ms)

Completed 500 Internal Server Error in 281.9ms

ActionView::Template::Error (undefined local variable or method `limit_exceeded' for #<#<Class:0x0

00000075cb898>:0x00000007a15e30>):

    21: <% button_disabled = true %>

    22: <% if @repository %>

    23:   <%  button_disabled = ! @repository.class.scm_available %>

    24:   <%= repository_field_tags(f, @repository) %>

    25: <% end %>

    26: </div>

    27: 

  app/helpers/repositories_helper.rb:126:in `repository_field_tags'

  app/views/repositories/new.html.erb:4:in `block in _app_views_repositories_new_html_erb___361548

0889563145371_66515560'

  app/helpers/application_helper.rb:1043:in `labelled_form_for'

  app/views/repositories/new.html.erb:3:in `_app_views_repositories_new_html_erb___361548088956314

5371_66515560'

 

And redmine_scm scm.yml:

production:

  deny_delete: false

  auto_create: false

  force_repository: false

#  pre_create: /usr/local/bin/pre-create.sh

  post_create: /usr/local/bin/post-create.sh

  pre_delete: /usr/local/bin/pre-delete.sh

#  post_delete: /usr/local/bin/post-delete.sh

  max_repos: 0

  only_creator: true

  allow_add_local: true

  allow_pickup: false

  svn:

    path: /san/repos/svn

    svnadmin: /usr/bin/svnadmin

    url: svn

#  git:

#    path: /san/repos/git

#    git: /usr/bin/git

#    options: --bare

#    url: ssh://git@host

#    update_server_info: true

#    git_ext: true

#    append: trunk

#  mercurial:

#    path: /san/repos/hg

#    hg: /usr/bin/hg

#  bazaar:

#    path: /san/repos/bzr

#    bzr: /usr/bin/bzr

#    init: init-repository

#    log_encoding: UTF-8

#  github:
#    path: /san/repos/github

#    api:

#      token: 36857b12efbccc64ce725ea8674fab6ecbd05c03

#      register_hook: true

# development:

 

Can both redmine_git_hosting and redmine_scm cooperate? They used to...

Thanks.

have a day.yad

jdpf

History

#1 - 12 Nov 2014 15:52 - Artem Sereda

I have same problem.

Environment:

  Redmine version                2.5.2.stable

  Ruby version                   2.1.1-p76 (2014-02-24) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Git                            1.7.9.5

  Filesystem                     

Redmine plugins:

  once_assigned_ever_watcher     0.1.0

  redmine_bootstrap_kit          0.1

  redmine_code_review            0.6.3

  redmine_git_hosting            0.7.8

  redmine_plugin_views_revisions 0.0.1

  redmine_scm                    0.5.0b

  redmine_wiki_gchart_formula    0.0.5

#2 - 14 Dec 2014 18:21 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#3 - 15 Dec 2014 07:47 - Andriy Lesyuk

- Target version set to 0.5.1
#4 - 28 Dec 2014 16:51 - Nicolas Rodriguez

Hi!

I’m the maintainer of Redmine Git Hosting plugin https://github.com/jbox-web/redmine_git_hosting.

I’ve made a patch that fixes this issue : https://github.com/n-rodriguez/redmine_scm (it’s the second commit).

Basically you just need to move the limit_exceeded method from scm_repositories_helper_patch to a separate helper.

Nicolas

#5 - 24 Feb 2015 16:18 - Isaiah Softleigh

- File redmine_scm_patch.diff added

- File redmine_git_hosting_v0.7.9_redmine_scm_compatibility_patch.diff added

Hello,

I’ve also created a patch to solve this issue.  It is much less bare-bones, though.

redmine_scm_patch.diff contains this and:

A new menu design for creating a new repository or editing a repository made specifically for Subversion and Git.  This can be extended to other

Creator types if desired.  This design makes the interface more end-user friendly.

Further compatibility with Redmine Git Hosting version 0.7.9, such as hiding unnecessary warnings when creating a new Git repository when

Redmine Git Hosting and SCM Creator is installed.

redmine_git_hosting_v0.7.9_redmine_scm_compatibility_patch.diff contains:

Safety checks for configuration with SCM Creator.

The ability to see other repository types when git_instructions appears.

Hope someone finds this useful!

#6 - 06 Mar 2015 17:07 - Isaiah Softleigh

- File scm_patch_2.diff added

- File git_hosting_patch_2.diff added

I’ve made a few more changes to both redmine_git_hosting (compatibility with svn/redmine_scm) and redmine_scm (download buttons for svn). 

Sharing it here!

Files

redmine_scm_patch.diff 35.9 KB 24 Feb 2015 Isaiah Softleigh

redmine_git_hosting_v0.7.9_redmine_scm_compatibility_patch.diff 466 KB 24 Feb 2015 Isaiah Softleigh

scm_patch_2.diff 23 KB 06 Mar 2015 Isaiah Softleigh

git_hosting_patch_2.diff 8.24 KB 06 Mar 2015 Isaiah Softleigh
